﻿using System.Collections.Generic;
using Common.Unity;
using MvvmBinding.Models.Countries.Interfaces;

namespace MvvmBinding.Helpers
{
    public static class CountryMockData
    {

        public static IList<ICountry> GetCountries()
        {
            var countries = UnityService.ResolveList<ICountry>();

            var country1 = UnityService.Resolve<ICountry>();
            country1.CountryId = 1;
            country1.CountryName = "Australia";
            countries.Add(country1);

            var country2 = UnityService.Resolve<ICountry>();
            country2.CountryId = 2;
            country2.CountryName = "Canada";
            countries.Add(country2);

            var country3 = UnityService.Resolve<ICountry>();
            country3.CountryId = 3;
            country3.CountryName = "England";
            countries.Add(country3);

            var country4 = UnityService.Resolve<ICountry>();
            country4.CountryId = 4;
            country4.CountryName = "USA";
            countries.Add(country4);

            return countries;
        }





    }
}
